# QuantyBT 🪐

**A lightweight extension for [`vectorbt`](https://github.com/polakowo/vectorbt) focused on statistical robustness, modularity, and clean strategy integration.**

Quant-VBT makes it easy to design strategies, analyze them in depth, and validate results with advanced statistical techniques.

---

## 🚀 Features

- Clean `Strategy` base class for building reusable strategies
- `Analyzer` with detailed performance metrics  
  (Sharpe, Sortino, Calmar, volatility, drawdown, etc.)
- Time-based train/test split with purge window
- Built-in `hyperopt` integration for parameter optimization
- Modular structure – easy to extend, simple to use

---

## 🔬 Coming Soon

- Walk-forward optimization
- Monte Carlo simulations  
  (bootstrapping, permutation, resampling)
- Sensitivity analysis for hyperparameters
- more statistical tests/metrics
---

## 📦 Installation

Install from PyPI:

```bash
pip install quant_vbt


MIT – use freely with credit.
If you find this useful in your work or research, a mention/link is appreciated.